% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/khis_cred.R
\name{khis_cred}
\alias{khis_cred}
\title{Sets the KHIS Credentials}
\usage{
khis_cred(config_path = NULL, username = NULL, password = NULL)
}
\arguments{
\item{config_path}{An optional parameters that contains the path to configuration file with username and password.}

\item{username}{The KHIS username. Can be optional if \code{config_path} is already provided}

\item{password}{The KHIS password. Can be optional if \code{config_path} is already provided.}
}
\value{
No return value
}
\description{
Sets the KHIS Credentials
}
\details{
The credentials can be provided using a configuration file (more secure) or
providing \code{username} and \code{password} arguments. The \code{conf_path} is considered
more secure since credentials will not appear in the code.
}
\examples{

# Load username and password
khis_cred(username = 'khis_username', password = 'PASSWORD')
}
\concept{credential functions}
